curl --request PATCH \
--url https://{defaultHost}/v1/checkout_portal_protocol \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkout_portal_protocol": {
"back_url": "https://example.com"
}
}
'import requests
url = "https://{defaultHost}/v1/checkout_portal_protocol"
payload = { "checkout_portal_protocol": { "back_url": "https://example.com" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({checkout_portal_protocol: {back_url: 'https://example.com'}})
};
fetch('https://{defaultHost}/v1/checkout_portal_protocol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3d144780-9071-42d0-8425-9952f747ec9e",
"object": "checkout_portal_protocol",
"back_url": "https://example.com",
"external_enabled": true,
"external_url": null,
"manual_checkout_finalize_enabled": true,
"thank_you_heading": "Thank you for your order!",
"thank_you_description": "An order confirmation email with details of this order and a link back to this page have been sent to your email address below.",
"wordpress_plugin_enabled": true,
"created_at": 1787228355,
"updated_at": 1787228355
}Update
Updates the current account’s checkout portal protocol.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
The back URL that is shown to customers on the checkout portal. This can be overridden by a back_url on a Checkout.
Whether or not an external checkout portal is being used.
If external_enabled=true, where is the external portal hosted? If empty, the store's URL is used.
Whether or not finalizing a checkout with manual_payment=true is allowed.
The heading that is shown to customers on the order thank you page.
The description that is shown to customers on the order thank you page.
Whether or not the WordPress plugin is hosting the checkout portal.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?